Subject: Re: [RFC PATCH 6/6] contrib/cgit-rs: add a subset of configset wrappers

From: Junio C Hamano <[email-masked]>
Date: Wed, 07 Aug 2024 14:53:36 -0700

"brian m. carlson" <[email-masked]> writes:

> My recommended approach here is to support the version in Debian stable,
> plus the version in Debian oldstable for a year after the new stable
> comes out, which is what I do.  That gives people a year to upgrade if
> they want to use our code.  We _don't_ want to follow the
> latest-stable-Rust approach because it isn't appropriate that software
> has a six-week lifespan of support and that isn't going to work for
> software like Git that people often compile locally on older versions.

This is sensible.  Conservative enough to avoid leaving folks on
other major distros behind, but still not too old to be a burden.